Autor Wątek: GG nie działa na LMDE3  (Przeczytany 5227 razy)

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #15 dnia: Listopad 01, 2018, 07:32:55 am »
Jest jeszcze taka uniwersalna wyszukiwarka jak google :)

Offline kris777

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 244
  • Punkty: 52
Odp: GG nie działa na LMDE3
« Odpowiedź #16 dnia: Listopad 01, 2018, 09:23:15 am »
To raczej nie wina: linux-vdso.so.1  ... bo u mnie  ldd pokazuje w/w bez podanej ścieżki a program GG uruchamia się OK..... komendy : locate / find -name / apt-file search ...nie znajduję w/w pliku w systemie a GG działa :-) ...
Trudno to zdiagnozować / naprawić jeśli nawet terminal nic nie podpowiada .... winowajcę chyba sam wskazałeś Debian (stretch) bo na innych systemach GG raczej działa normalnie.

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #17 dnia: Listopad 01, 2018, 09:33:27 am »
To raczej nie wina: linux-vdso.so.1  ... bo u mnie  ldd pokazuje w/w bez podanej ścieżki a program GG uruchamia się OK..... komendy : locate / find -name / apt-file search ...nie znajduję w/w pliku w systemie a GG działa :-) ...
Trudno to zdiagnozować / naprawić jeśli nawet terminal nic nie podpowiada .... winowajcę chyba sam wskazałeś Debian (stretch) bo na innych systemach GG raczej działa normalnie.
Bo trzeba jeszcze rozumieć do czego służy linux-vdso.so.1 :D
No i żeby, nie było, u mnie na Busterze GG działa.
Podejrzewam, że na Stretch też nie powinno być problemów.
« Ostatnia zmiana: Listopad 01, 2018, 09:49:37 am wysłana przez dedito »

Offline kris777

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 244
  • Punkty: 52
Odp: GG nie działa na LMDE3
« Odpowiedź #18 dnia: Listopad 01, 2018, 09:52:58 am »
Ale ja już wspomniałem iż na wersji Debian 9.5 (stretch) / LXDE ( mam ten system na drugiej partycji)... GG także nie działa tzn jest jak na LMDE3 ...mnie akurat GG niepotrzebne ale "zagwozdka" ciekawa :-)
Może wina w nowszych pakietach ? ... inne repozytoria ....
Jeśli bardzo zależy Ci na GG to chyba nie warto " kopać się z koniem " jeśli nikt nie potrafi naprawić w/w problemu i wybrać inne Distro Linux-a a jest tego naprawdę dużo.
Jeśli @dedito wspomniał iż na Debian (buster) GG działa OK to może pokusić się o upgrade
How to upgrade Debian 9 Stretch to Debian 10 Buster
....ale czy LMDE3 będzie dobrze działało po takiej przemianie ?  ...mam wątpliwości !
« Ostatnia zmiana: Listopad 01, 2018, 12:15:42 pm wysłana przez kris777 »

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #19 dnia: Listopad 01, 2018, 14:05:19 pm »
Sama aktualizacja LMDE do Debiana Bustera powinna bez problemu zadziałać.
Sam tak robiłem, ale było to kilka lat temu za czasów lmde1.
Jednak aktualizacje raczej tu nie pomogą.
Zrobiłem sobie małe śledztwo w tym temacie na czystym stretchu.
Uruchomiłem sobie ggapp w trybie verbose, otrzymując poniższy wynik./ggapp -v
XPCOMGlueLoad error for file /home/user/Pobrane/GG/xulrunner/libxul.so:
libcrypto.so.1.0.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
libcrypto.so.1.0.0 jest częścią paczki libssl1.0.0, której już nie ma w repozytoriach, ale wciąż można ją ściągnąć z repozytoriów jessie https://packages.debian.org/jessie/libssl1.0.0
Tak więc wchodzimy na powyższą stronę i ściągamy paczkę odpowiednią dla naszej architektury i instalujemy w systemie (np. przez dpkg lub gdebi).
Ja jeszcze musiałem zainstalować wtyczkę flash (czysty system), po tych dwóch zabiegach gg się uruchamia.

P.S.
U mnie na Busterze GG działa od razu, bo ja już miałem libssl1.0.0 w spadku z poprzednich wersji (utrzymuję testinga od kilku lat) no i miałem już wtyczkę flash.
« Ostatnia zmiana: Listopad 01, 2018, 14:10:28 pm wysłana przez dedito »

Offline kris777

  • Dorodna miętowa sadzonka
  • ***
  • Wiadomości: 244
  • Punkty: 52
Odp: GG nie działa na LMDE3
« Odpowiedź #20 dnia: Listopad 01, 2018, 17:06:52 pm »
W końcu @dedito spec od Debian-a "rozkminił" o co biega temu GG :-) .....  chyba temat do zamknięcia bo u mnie na Debian-ie 9.5 (stretch) to howto działa OK. Ale ostatecznie niech @Marsjanin ( bez aluzji ) :-) wypowie się czy to działa również na LMDE3.
« Ostatnia zmiana: Listopad 01, 2018, 17:40:17 pm wysłana przez kris777 »

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #21 dnia: Listopad 01, 2018, 17:50:25 pm »
W LMDE3 pewnie nie trzeba będzie nawet instalować wtyczki flash, tam to dają chyba OOTB

Offline Marsjanin

  • Miętowe nasionko
  • *
  • Wiadomości: 11
  • Punkty: 0
  • Płeć: Mężczyzna
[SOLVED] GG nie działa na LMDE3
« Odpowiedź #22 dnia: Listopad 02, 2018, 14:04:16 pm »
Moi drodzy, bingo oczywiście. Działa już i u mnie, instalacja libssl1.0.0_1.0.1t-1+deb8u9_amd64.deb rozwiązała sprawę. Czyli sprawa ma się tak, jak rozumiem, że GG jest oparte o starą, niewspieraną bibliotekę SSL…
LMDE3C-E7240

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #23 dnia: Listopad 02, 2018, 15:57:07 pm »
Zgadza się.
Ta paczka nie bez powodu wyleciała z repozytorium stable (zapewne jakieś względy bezpieczeństwa, dociekliwi mogą doczytać na stronach developerów).
Ja bym jeszcze spróbował czy symlink do nowszej wersji biblioteki rozwiąże problem, wtedy nie musimy instalować niewspieranych już paczek.
Swoją drogą warto sprawdzić jak się ma sprawa pod tym kątem w obecnym Ubuntu/Mint.

Offline ciastek1981

  • Globator Moderalny
  • Spamerzy
  • *******
  • Wiadomości: 1251
  • Punkty: 153
  • Płeć: Mężczyzna
Odp: GG nie działa na LMDE3
« Odpowiedź #24 dnia: Listopad 02, 2018, 16:15:30 pm »
Swoją drogą warto sprawdzić jak się ma sprawa pod tym kątem w obecnym Ubuntu/Mint.

Nadal paczka jest dostępna https://packages.ubuntu.com/bionic/libssl1.0.0

Chociaż jest całe openssl https://packages.ubuntu.com/bionic/openssl1.0
« Ostatnia zmiana: Listopad 02, 2018, 16:21:26 pm wysłana przez ciastek1981 »

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #25 dnia: Listopad 02, 2018, 17:17:41 pm »
Mały update.
Przejrzałem jeszcze zawartość katalogów GG i w xulruner jest już plik libcrypto.so.1.0.0.
Tak więc nie ma potrzeby instalacji paczki libssl1.0.0, wystarczy utworzyć symlink w systemowych bibliotekach.
Po usunięciu paczki libssl1.0.0
apt remove libssl1.0.0Sprawdziłem czy gg znowu się nie uruchamia, po czym utworzyłem symlinka.
ln -s /sciezka/do/GG/xulrunner/libcrypto.so.1.0.0 /usr/lib/$(uname -m)-linux-gnu/libcrypto.so.1.0.0Po tych czynnościach gg ponownie się uruchamia.

Swoją drogą i tak mi tu coś jeszcze nie pasuje, skoro ta biblioteka jest już w katalogu GG, to powinna być widziana przez aplikacje GG.
Niewykluczone, że jest jeszcze prostsze rozwiązanie (np. aktualizacja zmiennej PATH).

Kolejny update:
Po tych wszystkich kombinacjach, znalazłem rozwiązanie na forum gg:
Cytat: Sweetashny Miszcz
2. Jeżeli ktoś ma problem z odpaleniem GG poza Ubuntu - GG można odpalić poleceniem:
LD_PRELOAD=./xulrunner/libcrypto.so.1.0.0 ./gghub
Sprawdzone, działa bez kombinacji z instalacją dodatkowych paczek, czy tworzeniem symlinków.
Czyli warto czasem poszukać u źródła, zanim rozpocznie się własne kombinacje.

PS. $(uname -m) w powyższym poleceniu dopasowuje ścieżkę do aktualnej architektury.
« Ostatnia zmiana: Listopad 03, 2018, 10:10:13 am wysłana przez dedito »

Offline Marsjanin

  • Miętowe nasionko
  • *
  • Wiadomości: 11
  • Punkty: 0
  • Płeć: Mężczyzna
Odp: GG nie działa na LMDE3
« Odpowiedź #26 dnia: Listopad 05, 2018, 16:09:42 pm »
Czyli podejrzewam, że można to sobie dopisać wręcz do ./gg …
Dzięki. Napisałem najpierw, przed tym forum, do helpdesku GG na GG, tam odesłali mnie do napisania maila, gdzie połknęli temat i nabrali wody w usta. O istnieniu nawet forum GG nie przebąknęli ni słowem, a że ta sama kopia działała gdzie indziej to nie szukałem błędu tam tylko w systemie.
LMDE3C-E7240

Online dedito

  • Urząd Porządkowy
  • Miętowy krzew
  • *******
  • Wiadomości: 295
  • Punkty: 162
Odp: GG nie działa na LMDE3
« Odpowiedź #27 dnia: Listopad 05, 2018, 17:56:02 pm »
Próbowałem dopisywać swoje rzeczy do skryptu gg, ale przy uruchomieniu aplikacja generowała błąd z informacją o uszkodzonej instalacji.
Najprościej chyba będzie stworzenie własnego aktywatora lub stworzenie własnego skryptu.

Poza tematem: nie rozumiem, po co się ładujesz w to całe gg, skoro są o wiele lepsze alternatywy.
« Ostatnia zmiana: Listopad 05, 2018, 18:02:04 pm wysłana przez dedito »

Offline Marsjanin

  • Miętowe nasionko
  • *
  • Wiadomości: 11
  • Punkty: 0
  • Płeć: Mężczyzna
Odp: GG nie działa na LMDE3
« Odpowiedź #28 dnia: Listopad 05, 2018, 18:01:03 pm »
Fakt, tak też zrobię. Dzięki za szczegółowe przetrzepanie tematu.
LMDE3C-E7240